Repositories - Get Deleted Repositories
Retrieve deleted git repositories.
GET https://dev.azure.com/{organization}/{project}/_apis/git/deletedrepositories?api-version=7.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.0' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
| Name | Description |
|---|---|
|
Git |
|
|
Identity |
|
|
Project |
Project state. |
|
Project |
Project visibility. |
|
Reference |
The class to represent a collection of REST reference links. |
|
Team |
Represents a shallow reference to a TeamProject. |
GitDeletedRepository
| Name | Type | Description |
|---|---|---|
| createdDate |
string (date-time) |
|
| deletedBy | ||
| deletedDate |
string (date-time) |
|
| id |
string (uuid) |
|
| name |
string |
|
| project |
Represents a shallow reference to a TeamProject. |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
string |
Deprecated - Can be retrieved by querying the Graph user referenced in the "self" entry of the IdentityRef "_links" dictionary |
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
Deprecated - Available in the "avatar" entry of the IdentityRef "_links" dictionary |
| inactive |
boolean |
Deprecated - Can be retrieved by querying the Graph membership state referenced in the "membershipState" entry of the GraphUser "_links" dictionary |
| isAadIdentity |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsAadUserType/Descriptor.IsAadGroupType) |
| isContainer |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsGroupType) |
| isDeletedInOrigin |
boolean |
|
| profileUrl |
string |
Deprecated - not in use in most preexisting implementations of ToIdentityRef |
| uniqueName |
string |
Deprecated - use Domain+PrincipalName instead |
| url |
string |
This url is the full route to the source resource of this graph subject. |
ProjectState
Project state.
| Value | Description |
|---|---|
| deleting |
Project is in the process of being deleted. |
| new |
Project is in the process of being created. |
| wellFormed |
Project is completely created and ready to use. |
| createPending |
Project has been queued for creation, but the process has not yet started. |
| all |
All projects regardless of state except Deleted. |
| unchanged |
Project has not been changed. |
| deleted |
Project has been deleted. |
ProjectVisibility
Project visibility.
| Value | Description |
|---|---|
| private |
The project is only visible to users with explicit access. |
| public |
The project is visible to all. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
TeamProjectReference
Represents a shallow reference to a TeamProject.
| Name | Type | Description |
|---|---|---|
| abbreviation |
string |
Project abbreviation. |
| defaultTeamImageUrl |
string |
Url to default team identity image. |
| description |
string |
The project's description (if any). |
| id |
string (uuid) |
Project identifier. |
| lastUpdateTime |
string (date-time) |
Project last update time. |
| name |
string |
Project name. |
| revision |
integer (int64) |
Project revision. |
| state |
Project state. |
|
| url |
string |
Url to the full version of the object. |
| visibility |
Project visibility. |